<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:42 GMT 2016 -->
<title>Uses of Class com.stefanomantini.solvers.objects.Tour</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.stefanomantini.solvers.objects.Tour";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/stefanomantini/solvers/objects/class-use/Tour.html" target="_top">Frames</a></li>
<li><a href="Tour.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.stefanomantini.solvers.objects.Tour" class="title">Uses of Class<br>com.stefanomantini.solvers.objects.Tour</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers">com.stefanomantini.solvers</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers.alterations">com.stefanomantini.solvers.alterations</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers.objects">com.stefanomantini.solvers.objects</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers.util">com.stefanomantini.solvers.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.stefanomantini.web.util">com.stefanomantini.web.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.stefanomantini.solvers">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a> in <a href="../../../../../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a> that return <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">DivideConquer.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/DivideConquer.html#calc-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calc</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles,
    <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#calculateBruteForce-java.util.List-com.stefanomantini.web.util.SolverRequestObject-">calculateBruteForce</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;l,
                   <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Brute Force main method
 generates all possible permutations of the list
 iterates through N! list of permutations and gets 
 the shortest tour
 throws an IOOB Exception on defined max</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">NearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/NearestNeighbour.html#calculateNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calculateNearestNeighbour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                         <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Main method, dispatches to other methods and handles 
 initial startup of a tour (finding startnode and next)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#calculateRepeatedNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calculateRepeatedNearestNeighbour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                                 <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Repeated Nearest Neighbor Algorithm: For each of the cities, 
 run the nearest neighbor algorithm with that city as the
 starting point, and choose the resulting tour with the 
 shortest total distance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SampledRepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/SampledRepeatedNearestNeighbour.html#calculateSampledRepeatedNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calculateSampledRepeatedNearestNeighbour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                                        <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Sampled Repeated Nearest Neighbor Algorithm: use ~1/3 of the cities
 as starting point and choose the shortest from the resulting tours</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">MorroccoTangiers.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/MorroccoTangiers.html#getNissanTour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">getNissanTour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
             <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Uses a pre-set radius and chooses from the N nearest neighbours 
 according to the index to simulate line-of sight</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourHelper-java.util.ArrayList-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourHelper</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;visited,
                      java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                      <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Get nearest NeighbourHeper</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.solvers.alterations">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a> in <a href="../../../../../com/stefanomantini/solvers/alterations/package-summary.html">com.stefanomantini.solvers.alterations</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/alterations/package-summary.html">com.stefanomantini.solvers.alterations</a> that return <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SegmentReverse.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/SegmentReverse.html#alterTour-com.stefanomantini.solvers.objects.Tour-com.stefanomantini.web.util.SolverRequestObject-">alterTour</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;shortestTour,
         <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Try to alter tour by reversing Segments</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">TwoOpt.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/TwoOpt.html#execute-com.stefanomantini.solvers.objects.Tour-com.stefanomantini.web.util.SolverRequestObject-">execute</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;locations,
       <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Performs the 2-opt swap optimisation
 X A B C D Y  --start
 X A C B D Y --after opt
 the startNode isn't accounted for in the actual calculation so is therefore left out of the optimisation</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SegmentReverse.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/SegmentReverse.html#reverseSegmentIfBetter-com.stefanomantini.solvers.objects.Tour-int-int-com.stefanomantini.web.util.SolverRequestObject-">reverseSegmentIfBetter</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;tour,
                      int&nbsp;start,
                      int&nbsp;end,
                      <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Reverse Segment if the EDistance is better</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/alterations/package-summary.html">com.stefanomantini.solvers.alterations</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SegmentReverse.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/SegmentReverse.html#alterTour-com.stefanomantini.solvers.objects.Tour-com.stefanomantini.web.util.SolverRequestObject-">alterTour</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;shortestTour,
         <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Try to alter tour by reversing Segments</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">TwoOpt.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/TwoOpt.html#execute-com.stefanomantini.solvers.objects.Tour-com.stefanomantini.web.util.SolverRequestObject-">execute</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;locations,
       <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Performs the 2-opt swap optimisation
 X A B C D Y  --start
 X A C B D Y --after opt
 the startNode isn't accounted for in the actual calculation so is therefore left out of the optimisation</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SegmentReverse.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/SegmentReverse.html#reverseSegmentIfBetter-com.stefanomantini.solvers.objects.Tour-int-int-com.stefanomantini.web.util.SolverRequestObject-">reverseSegmentIfBetter</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;tour,
                      int&nbsp;start,
                      int&nbsp;end,
                      <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Reverse Segment if the EDistance is better</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.solvers.objects">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a> in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> that return <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">Tour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html#populateTour-java.util.ArrayList-">populateTour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.solvers.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a> in <a href="../../../../../com/stefanomantini/solvers/util/package-summary.html">com.stefanomantini.solvers.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/util/package-summary.html">com.stefanomantini.solvers.util</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">TourComparator.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/TourComparator.html#compare-com.stefanomantini.solvers.objects.Tour-com.stefanomantini.solvers.objects.Tour-">compare</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;o1,
       <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;o2)</code>
<div class="block">Compares two tours based on 
 pre-calculated ED</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.web.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a> in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> declared as <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SolverResponseObject.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverResponseObject.html#shortestTour">shortestTour</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> that return <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SolverResponseObject.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverResponseObject.html#getShortestTour--">getShortestTour</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">Dispatcher.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/Dispatcher.html#solverDispatch-com.stefanomantini.web.util.SolverRequestObject-">solverDispatch</a></span>(<a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Request object drops through and sets shortestTour then does any 
 improvement algorithms with the new set if specified in request</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SolverResponseObject.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverResponseObject.html#setShortestTour-com.stefanomantini.solvers.objects.Tour-">setShortestTour</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;shortestTour)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverResponseObject.html#SolverResponseObject-java.lang.String-com.stefanomantini.web.util.SolverRequestObject-com.stefanomantini.solvers.objects.Tour-">SolverResponseObject</a></span>(java.lang.String&nbsp;errorMessage,
                    <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request,
                    <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a>&nbsp;shortestTour)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/stefanomantini/solvers/objects/class-use/Tour.html" target="_top">Frames</a></li>
<li><a href="Tour.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
